Subject: Re: XUPV2P update to kernel 2.6 fails

From: saadia dhouib <[email-masked]>
Date: Thu, 11 Dec 2008 07:41:11 -0800 (PST)

You have better to use EDK 9.1. 
I tried to use EDK 10.1 for the xupv2p and I used the board defintion file
from 
  https://wiki.ittc.ku.edu/ittc/Eecs388#Tool_Repository . 
Linux 2.6 booted correctly, but I failed to get the Ethernet working.

So I used EDK 9.1 to generate the device tree. Now I have linux 2.6 on my
xupv2p, with root file system 
on a remote host (nfs boot).
I still have a problem, I didn't succeed to access the flash disk (pbs with
sysace driver).

If you want more precise informations, I can help you.

Good luck :)

Jan Müller wrote:
> 
> Hi,
> 
> Thanks a lot for the answers!
> 
> Now I don't feel so alone anymore...
> 
> I finally got it to work. The problem was simple: I'm using an
> uart pcore from openpcores. And this hardware requires some
> changes to the ns16550 kernel driver... With those changes,
> everything goes well! I'm happy about that.. ;-)
> 
> But... since everything seems to work now with EDK 9.1 I try to
> use my XUP-board with the EDK 10.1
> 
> In EDK 10.1 there is no board definition file for my XUPV2P.
> Right now I use the board file from:
> 
>   https://wiki.ittc.ku.edu/ittc/Eecs388#Tool_Repository
> 
> Now I got even stranger bahaviour than before. When ever I try
> to boot into a linux kernel, some arbitrary boot parameters seem
> to appear. Like:
> 
> 	Loading from 0x00004000
> 	[...]
> 
> And after those messages the system hangs. (the real messages
> vary from time to time)
> 
> I have to say that for the MemoryTestApp there seems to be no
> problem.  It runs like a charm..
> 
> So now I'm wondering if anyone has a board definition file
> usable for the linux kernel on the XUPV2P??
> 
> Thanks a lot for any hint!
> 
> Kind regards,
> Jan
> 
> On Wed, Dec 10, 2008 at 11:05:13 +0100, Joachim Meyer wrote:
>> Hi
>> 
>> I was setting up linux for teh XUP a few month ago. Both, older Kernels
>> (with ppc and xparameters_ml300.h file) and new ones (with powerpc and
>> device-tree) from the Xilinx git server worked fine for me, so yes, it
>> should work.
>> For more help you should say, what exactly you are doing, but maybe you
>> have already found your error.
>> Cheers,
>> Joachim
>> ____________________________________________________________________
>> Psssst! Schon vom neuen WEB.DE MultiMessenger gehört? 
>> Der kann`s mit allen: http://www.produkte.web.de/messenger/?did=3123
>> 
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/XUPV2P-update-to-kernel-2.6-fails-tp20874170p20957894.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.